:root {
  --blue-color: rgb(25, 54, 247);
}

html {
  box-sizing: border-box;
  list-style: none;
}

*,
*:before,
*:after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
  font-family: "Lato";
}

h1,
h2,
h3 {
  padding: 1.2rem;
  text-align: center;
}

h1 {
  color: rgb(92, 19, 19);
}

h2 {
  color: rgb(47, 33, 245);
}

h2 span {
  color: rgb(0, 0, 0);
}

h3 {
  font-size: 1.5rem;
}

a {
  color: rgb(1, 134, 195);
  font-weight: 700;
}

a:hover {
  text-decoration: none;
}

div.main-content-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

div.code-content-container {
  width: 50%;
}

div.code-content-container p {
  padding: 0.8rem 0;
  text-align: justify;
  font-size: 1.2rem;
  line-height: 1.6rem;
}

div.js-code-container {
  background-color: rgb(233, 233, 253);
}

div.js-code-container p {
  color: rgb(165, 42, 42);
  text-align: unset;
  line-height: 1.3rem;
  padding-left: 0.6rem;
  font-size: 1.1rem;
}

div.js-function p {
  padding: 0.2rem 0 0 0.6rem;
}

div.function-body-part {
  padding-left: 1.3rem;
}

.bold-blue-text {
  color: rgb(25, 54, 247);
  font-weight: bold;
}

.green-color-text {
  color: rgb(12, 151, 12);
  font-weight: bold;
}

.red-color-text {
  color: red;
  font-weight: bold;
}

.violet-color-text {
  color: rgb(116, 63, 170);
}

.parent-element-for-button span.red-color-text {
  font-weight: normal;
}

p span.gray-color-text {
  background-color: rgba(229, 229, 229, 0.9);
  border-radius: 20%;
}

div.ul-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

ul {
  margin: 2rem 0 2rem;
  width: 23rem;
  list-style: none;
  border: 3px solid gray;
  border-radius: 10px;
  box-shadow: 3px 3px 3px 1px rgba(0, 0, 255, 0.2);
}

li {
  margin: 1rem 0.2rem;
  font-size: 1.5rem;
  border: 1.5px solid rgb(85, 40, 8);
  border-radius: 5px;
  box-shadow: 3px 3px 3px 1px rgba(0, 0, 255, 0.2);
}

button {
  margin-top: 2rem;
  padding: 0.5rem;
  width: 15rem;
  font-size: 1.2rem;
  cursor: pointer;
  background-color: rgb(68, 42, 218);
  color: rgb(241, 236, 227);
  font-weight: 700;
  border-radius: 25px;
  box-shadow: 5px 5px 5px 1px rgb(0 0 255 / 80%);
}

button:hover {
  background-color: rgb(36, 31, 31);
  color: white;
  box-shadow: none;
}

p span.conclusion-text {
  color: rgb(190, 39, 39);
}

footer {
  background-color: rgb(224, 223, 223);
  width: 100%;
}

footer .author-info {
  padding-bottom: 2rem;
  text-align: center;
}

footer p.author-info span a {
  color: rgb(209, 14, 14);
  text-decoration: none;
  font-size: large;
  margin-left: 0.5rem;
}

footer .footer-img {
  display: flex;
  align-items: center;
  justify-content: center;
}

footer .my-photo {
  margin-top: 2rem;
  height: 7rem;
  border-radius: 50%;
}

footer .profile-links {
  margin-top: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

footer .profile-links img {
  height: 4rem;
  padding: 0.5rem;
}

@media only screen and (max-width: 744px) {
  div.main-content-container {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  div.code-content-container {
    width: 80%;
  }

  ul {
    margin-top: 2rem;
  }
}

@media only screen and (max-width: 520px) {
  div.code-content-container {
    width: 95%;
  }
}
